petsc-3.7.1 2016-05-15
Report Typos and Errors

# MatMult

Computes the matrix-vector product, y = Ax.

### Synopsis

    #include "petscmat.h"
    PetscErrorCode MatMult(Mat mat,Vec x,Vec y)

Neighbor-wise Collective on Mat and Vec Many br

### Input Parameters

| mat | - the matrix Many br
| x | - the vector to be multiplied Many br

### Output Parameters

y -the result Many br

### Notes

The vectors x and y cannot be the same. I.e., one cannot Many brcall MatMult(A,y,y). Many br

Many br

### See Also

MatMultTranspose(), MatMultAdd(), MatMultTransposeAdd()

Level:beginner
Location:src/mat/interface/matrix.c
Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/mat/examples/tutorials/ex2.c.html
src/mat/examples/tutorials/ex4.c.html
src/mat/examples/tutorials/ex9.c.html
src/ksp/ksp/examples/tutorials/ex1.c.html
src/ksp/ksp/examples/tutorials/ex2.c.html
src/ksp/ksp/examples/tutorials/ex5.c.html
src/ksp/ksp/examples/tutorials/ex6.c.html
src/ksp/ksp/examples/tutorials/ex7.c.html
src/ksp/ksp/examples/tutorials/ex8.c.html
src/ksp/ksp/examples/tutorials/ex9.c.html
src/ksp/ksp/examples/tutorials/ex10.c.html